SpatialFilterQParserPlugin (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SpatialFilterQParserPlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class SpatialFilterQParserPlugin

    java.lang.Object
      org.apache.solr.search.QParserPlugin
          org.apache.solr.search.SpatialFilterQParserPlugin

All Implemented Interfaces:
  NamedListInitializedPlugin

Direct Known Subclasses:
  SpatialBoxQParserPlugin

    public class SpatialFilterQParserPlugin

extends QParserPlugin

Creates a spatial Filter based on the type of spatial point used.

The field must implement `SpatialQueryable`

All units are in Kilometers

Syntax:

    {!geofilt sfield=<location_field> pt=<lat,lon> d=<distance>}

Parameters:

- sfield - The field to filter on. Required.
- pt - The point to use as a reference. Must match the dimension of the field. Required.
- d - The distance in km. Requited.

The distance measure used currently depends on the FieldType. LatLonType defaults to using haversine, PointType defaults to Euclidean (2-norm).

Examples:

    fq={!geofilt sfield=store pt=10.312,-20.556 d=3.5}

    fq={!geofilt sfield=store}&pt=10.312,-20&d=3.5

    fq={!geofilt}&sfield=store&pt=10.312,-20&d=3.5

Note: The geofilt for LatLonType is capable of also producing scores equal to the computed distance from the point to the field, making it useful as a component of the main query or a boosting query.

Field Summary
`static String` | `NAME`

Fields inherited from class org.apache.solr.search.QParserPlugin
`DEFAULT_QTYPE, standardPlugins`

Constructor Summary
`SpatialFilterQParserPlugin()`

Method Summary
`QParser` | `createParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)` return a `QParser`
`void` | `init(NamedList args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static String NAME

Constructor Detail

### SpatialFilterQParserPlugin

    public SpatialFilterQParserPlugin()

Method Detail

### createParser

    public QParser createParser(String qstr,
                                SolrParams localParams,
                                SolrParams params,
                                SolrQueryRequest req)

  Description copied from class: `QParserPlugin`
  return a `QParser`

  Specified by:
    `createParser` in class `QParserPlugin`

### init

    public void init(NamedList args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD